Subject: bug#14507: 24.3; TAB in shell mode never ignores case, even though I want it to

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 Jan 2022 22:48:39 +0100

Eric Hanchrow <[email-masked]> writes:

> I started emacs with 
>
>         /Applications/Emacs.app/Contents/MacOS/Emacs -Q
>
> I typed M-x shell RET
>
> At the shell prompt, I typed "cd doc", then I hit the TAB key.  The
> shell's current directory was my home directory, and that directory
> contains a subdirectory named "Documents".  I expected the TAB key to
> complete the name "Documents", but it just beeped.  I then did M-: (setq
> completion-ignore-case t) RET, and tried again, but it still just
> beeped.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I vaguely remember this being fixed a while back, and I'm not able to
reproduce it myself in Emacs 29 (but I'm testing on Debian).

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no